Android will require 64bit too in 2019

About Monkey 2 Forums General Programming Discussion Android will require 64bit too in 2019

This topic contains 4 replies, has 3 voices, and was last updated by  Xaron 10 months, 2 weeks ago.

Viewing 5 posts - 1 through 5 (of 5 total)
  • Author
    Posts
  • #12495

    abakobo
    Participant

    in android developper blog:
    https://android-developers.googleblog.com/2017/12/improving-app-security-and-performance.html

    Are the mx2 created android projects already containing the 64bit libs?

    #12509

    Xaron
    Participant

    Well you build with Android Studio anyway, so yes.

    #12515

    therevills
    Participant

    What does MX1 and CerberusX spit out?

    #12522

    abakobo
    Participant

    It looks like the 64bit thing is for apps using some native code. Pure Java is not concerned. I think mx1 outputs Java only.

    #12523

    Xaron
    Participant

    Cerberus already uses the new gradle build system so it will output using the newer SDKs so 64 bit while monkey is still limited to the maximum API level 25 due to Ant. Beside that I think it will still work as it’s also already 64 bit but as soon as the minimum required target is 26 it won’t work anymore.

Viewing 5 posts - 1 through 5 (of 5 total)

You must be logged in to reply to this topic.